summaryrefslogtreecommitdiff
path: root/tests/shunit2/tests.sh
diff options
context:
space:
mode:
Diffstat (limited to 'tests/shunit2/tests.sh')
-rwxr-xr-xtests/shunit2/tests.sh6
1 files changed, 3 insertions, 3 deletions
diff --git a/tests/shunit2/tests.sh b/tests/shunit2/tests.sh
index a7c6d90..72c4874 100755
--- a/tests/shunit2/tests.sh
+++ b/tests/shunit2/tests.sh
@@ -7,7 +7,7 @@ TMP_DIR=${TESTS_DIR}"/tmp"
FULL_SUITE=${TESTS_DIR}"/full_suite.sh"
UCI_BIN=${UCI_BIN:-"../uci"}
-[ -x $UCI_BIN ] || {
+[ -x "$UCI_BIN" ] || {
echo "uci is not present." >&2
return 1
}
@@ -60,9 +60,9 @@ assertFailWithNoReturn() {
}
EOF
-for suite in $(ls ${SCRIPTS_DIR}/*)
+for suite in "${SCRIPTS_DIR}"/*
do
- cat ${suite} >> ${FULL_SUITE}
+ cat "${suite}" >> ${FULL_SUITE}
done
echo ". ${DO_TEST}" >> ${FULL_SUITE}